NX Open C++ Reference Guide
|
Represents a @link CAE::LaminateExtrudeSetup CAE::LaminateExtrudeSetup@endlink builder <br> To create a new instance of this class, use @link CAE::LaminateGlobalLayupMgr::CreateLaminateExtrudeSetupBuilder CAE::LaminateGlobalLayupMgr::CreateLaminateExtrudeSetupBuilder @endlink <br>
Default values. More...
Public Member Functions | |
bool | CutFaceDrops () |
Returns the option to consider cut ply elements as drop-offs Created in NX9.0.0. | |
NXOpen::CAE::SelectCAEFaceList * | CutFaceSelect () |
Returns the cutting face(s) selection Created in NX9.0.0. | |
bool | Cuts () |
Returns the option use cutting faces Created in NX9.0.0. | |
NXString | ExtrudeName () |
Returns the name of the laminate extrusion setup Created in NX8.5.0. | |
bool | FlipNormals () |
Returns the option to flip the element normals for the extrusion process Created in NX6.0.4. | |
bool | HomogeneousPlies () |
Returns the option to (de)activate homogeneous ply meshes Created in NX9.0.0. | |
bool | KeepInvalidElems () |
Returns the option to keep invalid extruded elements Created in NX9.0.0. | |
double | MinElemThickness () |
Returns the relative minimum thickness for a corner node ply element. | |
NXString | Name () |
Returns the name of the extrude setup | |
int | NumSmoothIterations () |
Returns the number of iterations for normal smoothing Created in NX9.0.0. | |
NXOpen::CAE::LaminateSelectEntitiesBuilder * | Selection () |
Returns the geometric face(s) and element faces on which to perform the extrusion Created in NX7.5.2. | |
void | SetCutFaceDrops (bool cutFaceDrops) |
Sets the option to consider cut ply elements as drop-offs Created in NX9.0.0. | |
void | SetCuts (bool cuts) |
Sets the option use cutting faces Created in NX9.0.0. | |
void | SetExtrudeName (const NXString &extrudeName) |
Sets the name of the laminate extrusion setup Created in NX8.5.0. | |
void | SetExtrudeName (const char *extrudeName) |
Sets the name of the laminate extrusion setup Created in NX8.5.0. | |
void | SetFlipNormals (bool flipNormals) |
Sets the option to flip the element normals for the extrusion process Created in NX6.0.4. | |
void | SetHomogeneousPlies (bool homogeneousPlies) |
Sets the option to (de)activate homogeneous ply meshes Created in NX9.0.0. | |
void | SetKeepInvalidElems (bool keepInvalidElems) |
Sets the option to keep invalid extruded elements Created in NX9.0.0. | |
void | SetMinElemThickness (double minElemThickness) |
Sets the relative minimum thickness for a corner node ply element. | |
void | SetName (const NXString &name) |
Sets the name of the extrude setup | |
void | SetName (const char *name) |
Sets the name of the extrude setup | |
void | SetNumSmoothIterations (int numSmoothIterations) |
Sets the number of iterations for normal smoothing Created in NX9.0.0. | |
void | SetSinglePlyPerLayer (bool singlePlyPerLayer) |
Sets the option to group plies into single layer(s) of extruded elements Created in NX8.5.0. | |
void | SetSmoothNormals (bool smoothNormals) |
Sets the option to smooth the shell normals used for extrusion Created in NX9.0.0. | |
void | SetSmoothRatio (double smoothRatio) |
Sets the neighbor normal weigth ratio for normal smoothing Created in NX9.0.0. | |
bool | SinglePlyPerLayer () |
Returns the option to group plies into single layer(s) of extruded elements Created in NX8.5.0. | |
bool | SmoothNormals () |
Returns the option to smooth the shell normals used for extrusion Created in NX9.0.0. | |
double | SmoothRatio () |
Returns the neighbor normal weigth ratio for normal smoothing Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link CAE::LaminateExtrudeSetup CAE::LaminateExtrudeSetup@endlink builder <br> To create a new instance of this class, use @link CAE::LaminateGlobalLayupMgr::CreateLaminateExtrudeSetupBuilder CAE::LaminateGlobalLayupMgr::CreateLaminateExtrudeSetupBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CutFaceDrops |
0 |
FlipNormals |
0 |
KeepInvalidElems |
0 |
MinElemThickness |
0.05 |
NumSmoothIterations |
2 |
SinglePlyPerLayer |
1 |
SmoothNormals |
0 |
SmoothRatio |
0.5 |
Created in NX6.0.4.
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::CutFaceDrops | ( | ) |
Returns the option to consider cut ply elements as drop-offs
Created in NX9.0.0.
License requirements : None
NXOpen::CAE::SelectCAEFaceList* NXOpen::CAE::LaminateExtrudeSetupBuilder::CutFaceSelect | ( | ) |
Returns the cutting face(s) selection
Created in NX9.0.0.
License requirements : None
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::Cuts | ( | ) |
Returns the option use cutting faces
Created in NX9.0.0.
License requirements : None
NXString NXOpen::CAE::LaminateExtrudeSetupBuilder::ExtrudeName | ( | ) |
Returns the name of the laminate extrusion setup
Created in NX8.5.0.
License requirements : None
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::FlipNormals | ( | ) |
Returns the option to flip the element normals for the extrusion process
Created in NX6.0.4.
License requirements : None
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::HomogeneousPlies | ( | ) |
Returns the option to (de)activate homogeneous ply meshes
Created in NX9.0.0.
License requirements : None
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::KeepInvalidElems | ( | ) |
Returns the option to keep invalid extruded elements
Created in NX9.0.0.
License requirements : None
double NXOpen::CAE::LaminateExtrudeSetupBuilder::MinElemThickness | ( | ) |
Returns the relative minimum thickness for a corner node ply element.
Created in NX9.0.0.
License requirements : None
NXString NXOpen::CAE::LaminateExtrudeSetupBuilder::Name | ( | ) |
Returns the name of the extrude setup
Use CAE::LaminateExtrudeSetupBuilder::ExtrudeName instead.
Created in NX6.0.4.
License requirements : None
int NXOpen::CAE::LaminateExtrudeSetupBuilder::NumSmoothIterations | ( | ) |
Returns the number of iterations for normal smoothing
Created in NX9.0.0.
License requirements : None
NXOpen::CAE::LaminateSelectEntitiesBuilder* NXOpen::CAE::LaminateExtrudeSetupBuilder::Selection | ( | ) |
Returns the geometric face(s) and element faces on which to perform the extrusion
Created in NX7.5.2.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetCutFaceDrops | ( | bool | cutFaceDrops | ) |
Sets the option to consider cut ply elements as drop-offs
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
cutFaceDrops | cutfacedrops |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetCuts | ( | bool | cuts | ) |
Sets the option use cutting faces
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
cuts | cuts |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetExtrudeName | ( | const NXString & | extrudeName | ) |
Sets the name of the laminate extrusion setup
Created in NX8.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
extrudeName | extrudename |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetExtrudeName | ( | const char * | extrudeName | ) |
Sets the name of the laminate extrusion setup
Created in NX8.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
extrudeName | extrudename |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetFlipNormals | ( | bool | flipNormals | ) |
Sets the option to flip the element normals for the extrusion process
Created in NX6.0.4.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
flipNormals | flipnormals |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetHomogeneousPlies | ( | bool | homogeneousPlies | ) |
Sets the option to (de)activate homogeneous ply meshes
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
homogeneousPlies | homogeneousplies |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetKeepInvalidElems | ( | bool | keepInvalidElems | ) |
Sets the option to keep invalid extruded elements
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
keepInvalidElems | keepinvalidelems |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetMinElemThickness | ( | double | minElemThickness | ) |
Sets the relative minimum thickness for a corner node ply element.
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
minElemThickness | minelemthickness |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetName | ( | const NXString & | name | ) |
Sets the name of the extrude setup
Use CAE::LaminateExtrudeSetupBuilder::SetExtrudeName instead.
Created in NX6.0.4.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
name | name |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetName | ( | const char * | name | ) |
Sets the name of the extrude setup
Use CAE::LaminateExtrudeSetupBuilder::SetExtrudeName instead.
Created in NX6.0.4.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
name | name |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetNumSmoothIterations | ( | int | numSmoothIterations | ) |
Sets the number of iterations for normal smoothing
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
numSmoothIterations | numsmoothiterations |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetSinglePlyPerLayer | ( | bool | singlePlyPerLayer | ) |
Sets the option to group plies into single layer(s) of extruded elements
Created in NX8.5.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
singlePlyPerLayer | singleplyperlayer |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetSmoothNormals | ( | bool | smoothNormals | ) |
Sets the option to smooth the shell normals used for extrusion
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
smoothNormals | smoothnormals |
void NXOpen::CAE::LaminateExtrudeSetupBuilder::SetSmoothRatio | ( | double | smoothRatio | ) |
Sets the neighbor normal weigth ratio for normal smoothing
Created in NX9.0.0.
License requirements : nx_lam_comp_adv ("Laminate Composites Advanced")
smoothRatio | smoothratio |
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::SinglePlyPerLayer | ( | ) |
Returns the option to group plies into single layer(s) of extruded elements
Created in NX8.5.0.
License requirements : None
bool NXOpen::CAE::LaminateExtrudeSetupBuilder::SmoothNormals | ( | ) |
Returns the option to smooth the shell normals used for extrusion
Created in NX9.0.0.
License requirements : None
double NXOpen::CAE::LaminateExtrudeSetupBuilder::SmoothRatio | ( | ) |
Returns the neighbor normal weigth ratio for normal smoothing
Created in NX9.0.0.
License requirements : None